subtle - Bug #241

floating windows are not kept on top.
08/02/2011 12:30 AM - Rasmus Steinke

Status: Fixed Start date: 08/02/2011
Priority: High Due date:

Assignee: Christoph Kappel % Done: 0%
Category: Feature Estimated time: 0.00 hour
Target version: Nu

Description

Maybe this behavior is desired, but i find it highly uncomfortable.

Example: | watch an episode of some series and do some work in terminals at the same time. So i make my mplayer window sticky
and floating and work in my terminals.
Problem is, as soon as i have a terminal and mplayer occupying the same space, mplayer will not be kept on top of it.

Reproducable like this: open some app and a floating app above it. now simply use mod-+cursor keys to switch between those
windows. This only seems to happen when changing windows with keyboard. Hovering the normal window with the mouse, or even
clicking it, has no effect on the floating window.

Result: floating window will move behind the normal window when the latter receives focus.
Wanted behavior: floating window should stay on top, regardless of focus.

Maybe there should be a seperate option that one can set on his/her floating windows to make them stay on top.

Related issues:

Related to Bug #239: Mplayer loses focus on view switch Fixed 07/22/2011
Related to Feature #176: Subtle does not honor 'Always on Top' set by the client Fixed 01/16/2011
History

#1 - 08/07/2011 03:15 PM - Christoph Kappel

- Category set to Feature

- Status changed from Unconfirmed to Confirmed
- Assignee set to Non member users

- Target version set to Nu

#2 - 08/07/2011 04:16 PM - Christoph Kappel

- Status changed from Confirmed to Fixed
